Page MenuHomePhabricator

Ability for global lock/multi lock through CU
Closed, ResolvedPublic

Description

In Prioritisation of action items for the stewards visit, the 5th point "Ability for global lock/multi lock through CU" looks like it can be done rather easily.
We can do this on the CU extension side as well but that involves messing with SpecialCheckUser which is.. meh. But this can be easily achieved through a JS script. It should be as simple as taking the checkbox values and then passing these values to meta:Special:MultiLock?wpTarget=Foo%0ABar.

Event Timeline

Glaisher created this task.Mar 2 2016, 4:34 PM
Restricted Application added subscribers: JEumerus, Aklapper. · View Herald TranscriptMar 2 2016, 4:34 PM
NahidSultan added a subscriber: NahidSultan.

I have written the script and pasted it here: https://meta.wikimedia.org/wiki/User:Glaisher/cuCAMultiLock.js. It will fail when the URL maximum length is reached but I don't think that would happen too often so it's not a major issue, I guess.
We should probably keep this task open until it's resolved on the extension code.

Glaisher triaged this task as Low priority.Mar 3 2016, 4:54 PM
Teles awarded a token.Mar 3 2016, 11:38 PM
Teles added a subscriber: Teles.

Since stewards are fine with the implementation and want it on loginwiki as well (see T102254), I'll try to port it over to the extension.

Change 283840 had a related patch set uploaded (by Glaisher):
Add Special:MultiLock link on Special:CheckUser if configured

https://gerrit.wikimedia.org/r/283840

Change 283840 merged by jenkins-bot:
Add Special:MultiLock link on Special:CheckUser if configured

https://gerrit.wikimedia.org/r/283840

Luke081515 closed this task as Resolved.May 4 2016, 5:55 PM
Luke081515 assigned this task to Glaisher.
Luke081515 moved this task from Untriaged to Closed on the Stewards-and-global-tools board.
Luke081515 added a subscriber: Luke081515.

Patch merged.

Glaisher reopened this task as Open.May 4 2016, 5:56 PM

Still needs a wmf-config change for it to take effect for stewards.

Change 286927 had a related patch set uploaded (by Glaisher):
Configure $wgCheckUserCAMultiLock for CentralAuth wikis

https://gerrit.wikimedia.org/r/286927

Change 286927 merged by jenkins-bot:
Configure $wgCheckUserCAMultiLock for CentralAuth wikis

https://gerrit.wikimedia.org/r/286927

Glaisher closed this task as Resolved.May 10 2016, 3:39 PM

Will roll-out with this week's train.